Summary:          Utility library for 389 administration
Name:             389-adminutil
Version:          1.1.22
Release:          %mkrel 14
License:          LGPLv2
URL:              http://port389.org/wiki/AdminUti
Source0:          http://port389.org/sources/%{name}-%{version}.tar.bz2
Patch0:		  389-adminutil-1.1.14-link.patch
Patch1:           389-adminutil-1.1.1-libdir.patch
Group:            Databases
BuildRequires:    pkgconfig(nspr)
BuildRequires:    pkgconfig(nss)
BuildRequires:    openldap-devel
BuildRequires:    libicu-devel
BuildRequires:    icu
Provides:         adminutil = %{version}-%{release}

%description
%{name} is libraries of functions used to administer directory
servers, usually in conjunction with the admin server.  %{name} is
broken into two libraries - libadminutil contains the basic
functionality, and libadmsslutil contains SSL versions and wrappers
around the basic functions.  The PSET functions allow applications to
store their preferences and configuration parameters in LDAP, without
having to know anything about LDAP.  The configuration is cached in a
local file, allowing applications to function even if the LDAP server
is down.  The other code is typically used by CGI programs used for
directory server management, containing GET/POST processing code as
well as resource handling (ICU ures API).

%package devel
Summary:  	Development and header files for %{name}
Group:    	Development/Databases
Requires:	%{name} = %{version}-%{release}
Requires: 	pkgconfig
Requires: 	nspr-devel
Requires: 	nss-devel
Requires: 	openldap-devel
Requires: 	libicu-devel
Provides:  	adminutil-devel = %{version}-%{release}

%description devel
Development files and header files necessary to build applications
that use %{name}.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure --disable-tests \
	--disable-static --with-openldap
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%doc LICENSE README NEWS
%{_libdir}/*.so.*
%{_datadir}/%{name}

%files devel
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/*.so
%{_includedir}/libadminutil
%{_includedir}/libadmsslutil


%changelog
* Mon Nov 30 2020 luigiwalser <luigiwalser> 1.1.22-14.mga8
+ Revision: 1650872
- rebuild for icu

* Wed Jul 01 2020 wally <wally> 1.1.22-13.mga8
+ Revision: 1601009
- rebuild for icu 67.1

* Sat Apr 04 2020 wally <wally> 1.1.22-12.mga8
+ Revision: 1564444
- rebuild for new icu 66.1

* Sun Feb 16 2020 umeabot <umeabot> 1.1.22-11.mga8
+ Revision: 1534630
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Oct 05 2019 daviddavid <daviddavid> 1.1.22-10.mga8
+ Revision: 1449564
- rebuild for new icu 65.1

* Fri Jan 11 2019 daviddavid <daviddavid> 1.1.22-9.mga7
+ Revision: 1354684
- rebuild for new icu

* Tue Aug 28 2018 daviddavid <daviddavid> 1.1.22-8.mga7
+ Revision: 1255195
- rebuild for new icu

* Fri Dec 29 2017 wally <wally> 1.1.22-7.mga7
+ Revision: 1186958
- rebuild for new icu

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 1.1.22-6.mga6
+ Revision: 1092668
- Rebuild for icu-58.2

* Sat Jan 28 2017 akien <akien> 1.1.22-5.mga6
+ Revision: 1083786
- Rebuild for buildsystem issue

* Fri May 13 2016 shlomif <shlomif> 1.1.22-4.mga6
+ Revision: 1015054
- Rebuild for the new UCI (new major)

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.1.22-3.mga6
+ Revision: 917813
- rebuild for icu

* Sun Jul 26 2015 cjw <cjw> 1.1.22-2.mga6
+ Revision: 857731
- rebuild for icu 55

* Mon Jun 22 2015 spuhler <spuhler> 1.1.22-1.mga6
+ Revision: 838805
- upgrade to vers. 1.1.22

* Sun Mar 22 2015 spuhler <spuhler> 1.1.21-1.mga5
+ Revision: 819098
- upgrade to ver. 1.1.21
  * needed for 389-admin-1.1.38 (bug #15467)

* Wed Oct 15 2014 umeabot <umeabot> 1.1.20-3.mga5
+ Revision: 745895
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.20-2.mga5
+ Revision: 677631
- Mageia 5 Mass Rebuild

* Sat Apr 05 2014 spuhler <spuhler> 1.1.20-1.mga5
+ Revision: 611784
- upgrade to 1.1.20

* Wed Feb 05 2014 spuhler <spuhler> 1.1.19-1.mga5
+ Revision: 583535
- upgrade to ver. 1.1.19

* Mon Oct 21 2013 umeabot <umeabot> 1.1.18-3.mga4
+ Revision: 537662
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 fwang <fwang> 1.1.18-2.mga4
+ Revision: 487458
- rebuild for icu 52

* Wed Aug 21 2013 spuhler <spuhler> 1.1.18-1.mga4
+ Revision: 469056
- upgrade to vers. 1.1.18

* Fri Aug 16 2013 fwang <fwang> 1.1.17-4.mga4
+ Revision: 466967
- add link lib dir into pkgconfig file
+ spuhler <spuhler>
- bumped rel to rebuild with newest requires

* Mon May 27 2013 fwang <fwang> 1.1.17-2.mga4
+ Revision: 428586
- rebuild for new icu

* Thu May 23 2013 spuhler <spuhler> 1.1.17-1.mga4
+ Revision: 425404
- upgrade to 1.1.17
- removed Obsoletes: adminutil-devel < 1.1.8-2
  * upgrade should take care of this

* Sat Mar 02 2013 spuhler <spuhler> 1.1.15-3.mga3
+ Revision: 400960
- replaced Fedora macros with mga "%%{buildroot}"

* Fri Jan 11 2013 umeabot <umeabot> 1.1.15-2.mga3
+ Revision: 345048
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 spuhler <spuhler> 1.1.15-1.mga3
+ Revision: 324163
- upgrade to 1.1.15

* Fri Nov 09 2012 fwang <fwang> 1.1.14-2.mga3
+ Revision: 316626
- fix linkage
- rebuild for new icu

* Thu Oct 25 2012 spuhler <spuhler> 1.1.14-1.mga3
+ Revision: 309905
- imported package 389-adminutil

